# $Revision: 1.35 $, $Date: 2004/05/06 18:09:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Backup
Summary:	File::Backup - easy file backup & rotation automation
Summary(pl):	File::Backup - atwa archiwizacja i rotacja plikw
Name:		perl-File-Backup
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f53d6a22587abfde366ea84c141b716b
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-File-Which
BuildRequires:	perl-LockFile-Simple
%endif
Requires:	gzip
Requires:	tar
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File::Backup legacy Perl module implements archival and
compression (A.K.A "backup") and file rotation and is an
implementation of "tar" and "gzip" calls.

%description -l pl
Modu Perla File::Backup stanowi implementacj archiwizacji i
kompresji ("backup") oraz rotacj archiww i jest zaimplementowany
poprzez wywoania programw tar i gzip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Backup.spec,v $
Revision 1.35  2004/05/06 18:09:34  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 21:34:45  ankry
- added tests

Revision 1.33  2004/04/20 14:59:15  ankry
- summary/description/license fixes, R: tar,gzip

Revision 1.32  2004/03/28 15:39:25  adamg
- updated to 0.07

Revision 1.31  2004/01/24 22:18:20  arekm
- autoupdated to 0.0602

Revision 1.30  2003/09/21 21:48:34  adamg
- updated to 0.05

Revision 1.29  2003/09/18 13:19:15  adamg
- updated to 0.04

Revision 1.28  2003/09/15 11:40:58  adamg
- updated to 0.03

Revision 1.27  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:32:08  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:13:55  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:12  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:12:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:26:03  depesz
adapterized

Revision 1.12  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:42  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/02 19:14:40  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
